> For the complete documentation index, see [llms.txt](https://docs.paytweed.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.paytweed.com/getting-started/token-checkout-or-payments/legacy-token-checkout/features/flow-of-funds.md).

# Flow of Funds

Tweed offers you a platform to receive funds from checkout transactions according to your preference. You can choose to get the funds as fiat, which will be deposited into your bank account on a daily basis, or opt for immediate receipt in crypto, either as a native coin or ERC20 token.\
Learn more about Tweed's flow of funds.

The settlement method is determined by the payload of the `getTokenPurchaseData` callback. Review the required payload format for each settlement option.

### **Fiat Settlement**

{% hint style="info" %}
This option requires a quick additional onboarding. \
Contact us if you haven't completed it yet.
{% endhint %}

`priceInCents` Specify the price you want the user to pay in cents

```typescript
export const getTokenPurchaseData = async ({
  tokenId,
}: {
  tokenId: string
}) => {
  const tokenData = {
    tokenId,
    amount,
    priceInCents,
    fiatCurrencyId,
    thumbnailPath,
    contractAddress,
    chain,
    title,
    description,
    abi,
    customMintParams: {
      amount,
    },
  }
  return tokenData
}
```

### **Crypto Settlement | Native Currency**

`priceInCrypto`  Specify the price you want the user to pay in crypto (WEI)&#x20;

```typescript
export const getTokenPurchaseData = async ({
  tokenId,
}: {
  tokenId: string
}) => {
  const tokenData = {
    tokenId,
    amount,
    priceInCrypto,
    fiatCurrencyId,
    thumbnailPath,
    contractAddress,
    chain,
    title,
    description,
    abi,
    customMintParams: {
      amount,
    },
  }
  return tokenData
}
```

### **Crypto Settlement | ERC20 Tokens**

`priceInCrypto`  Specify the price you want the user to pay in crypto (WEI)&#x20;

`tokenContractAddress` Specify the ERC20 Token contract&#x20;

```typescript
export const getTokenPurchaseData = async ({
  tokenId,
}: {
  tokenId: string
}) => {
  const tokenData = {
    tokenId,
    amount,
    priceInCrypto,
    fiatCurrencyId,
    thumbnailPath,
    contractAddess,
    tokenContractAddress,
    chain,
    title,
    description,
    abi,
    customMintParams: {
      amount,
    },
  }
  return tokenData
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.paytweed.com/getting-started/token-checkout-or-payments/legacy-token-checkout/features/flow-of-funds.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
